<script setup>
import StackItem from './StackItem.vue'
import IconFront from './icons/IconFront.vue'
import IconCache from './icons/IconCache.vue'
import IconBack from './icons/IconBack.vue'
import IconDb from './icons/IconDb.vue'
import IconCi from './icons/IconCi.vue'
import IconCd from './icons/IconCd.vue'
import IconOs from './icons/IconOs.vue'
</script>

<template>
  <StackItem>
    <template #icon>
      <IconFront />
    </template>
    <template #heading>Front</template>

    <a href="https://vuejs.org/" target="_blank" rel="noopener">Vue.js</a>
  </StackItem>

  <StackItem>
    <template #icon>
      <IconBack />
    </template>
    <template #heading>Back</template>

    <a href="https://fastapi.tiangolo.com/" target="_blank" rel="noopener">Python (FastAPI)</a>
  </StackItem>

  <StackItem>
    <template #icon>
      <IconCache />
    </template>
    <template #heading>Cache</template>

    <a href="https://redis.io/" target="_blank" rel="noopener">Redis</a>
  </StackItem>

  <StackItem>
    <template #icon>
      <IconDb />
    </template>
    <template #heading>DB</template>

    <a href="https://www.postgresql.org/" target="_blank" rel="noopener">PostgreSQL</a>
    <br>
    <a href="https://www.mongodb.com/" target="_blank" rel="noopener">MongoDB</a>
  </StackItem>

  <StackItem>
    <template #icon>
      <IconCi />
    </template>
    <template #heading>CI</template>

    <a href="https://docs.gitlab.com/ee/ci/" target="_blank" rel="noopener">Gitlab CI</a>
  </StackItem>

  <StackItem>
    <template #icon>
      <IconCd />
    </template>
    <template #heading>CD</template>

    <a href="https://kubernetes.io/" target="_blank" rel="noopener">Kubernetes</a>
  </StackItem>

  <StackItem>
    <template #icon>
      <IconOs />
    </template>
    <template #heading>OS</template>

    <a href="https://www.linux.org/" target="_blank" rel="noopener">Linux</a>
  </StackItem>
</template>
